Bug 133048 - install is unreasonably slow and appears stopped
install is unreasonably slow and appears stopped
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 01:39 EDT by Russell Coker
Modified: 2015-01-04 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:52:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2004-09-21 01:39:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
I booted up with the FC3T2 pre-release disk FC3-re0908.0-i386-disc1-ftp.iso and the install takes ages.  My machine is a HP Vectra machine, P3-800 with 256M of RAM.

At the boot: prompt I press ENTER and it gives a boot screen which ends in the following:

VFS: Mounted root (ext2 filesystem).
Greetings.
anaconda installer init version 10.0.2 starting
mounting /proc filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader

It stays for about two minutes with the above before getting to the "CD Found" screen.

This is unreasonable, whatever it is doing should not take so long, and if it's unavoidable that such a delay happens it should have some progress indication.

During the time that it hangs there is no access to the hard disk or CD or anything else to indicate that the machine is alive.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Boot from CD 1.

Additional info:
Comment 1 Jeremy Katz 2004-09-21 09:12:41 EDT
What sort of messages are there on tty3 and tty4 during this time?

What sort of hardware are you using?
Comment 2 Russell Coker 2004-09-21 12:38:02 EDT
On tty3 when it hangs: 
* trying to mount CD device hdc 
 
On tty4 the following is displayed when it starts working: 
<6>ide-cd: cmd 0x28 times out 
<4>hdc: DMA interrupt recovery 
<4>hdc lost interrupt 
<4>hdc status timeout: status=0xd0 { Busy } 
<4>hdc status timeout: error=0x00 
<6>hdc: DMA disables 
<3>hdc: drive not ready for command 
<4>hdc: ATAPI reset complete 
 
Booting with the FC3T2 and FC3T1 CDs gives the same results. 
 
Comment 3 Craig Cruden 2005-04-11 22:16:17 EDT
I am having the same problem on my computer (test 1 & test 2 -- but stopped test
1 since i started it yesterday and figured I would go with test 2 today).  The
computer is a self-built:

ASUS P4C800-E Deluxe 
3.0 Ghz processor
Bios just updated to newest version
4 GBytes of Memory
4 x 250 GB Disk Space / FastTrak SX-4 M
Nvidia GeForce 3 (I think)

It has taken 3 hours to get to the point of sitting on NEXT button at
Automatically partition (been there 10+ minutes now -- but I am sure it will
move on because it has taken this long at many of the steps).  
Comment 4 Craig Cruden 2005-04-11 23:06:34 EDT
oops, I was too optimistic -- probably a different problem -- but ended up
getting an Input/output error during write on /dev/sda.

Switched the last drive from the array to the motherboard SATA and restarted --
but it is still as slow as molasses.
Comment 5 Dave Jones 2005-10-05 23:02:41 EDT
Russell, Was FC4 any better ? How about current rawhide ?
Comment 6 Craig Cruden 2005-10-06 11:12:21 EDT
I have not updated from rawhide, but FC4 was the same.  I had some help a while
ago and it looks as though they use something in the bios to determine the
amount of memory.  This says 4G (4G is installed), but some of the top memory is
used by Southbridge -  I determined the top memory on my machine was around
3808m of useable memory (before conflict).  I am guessing windows does not have
this problem because it uses a maximum of 3.5G of the memory and ignores the rest.
Comment 7 Dave Jones 2006-10-16 20:10:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 John Thacker 2006-10-30 09:52:48 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.